package com.byteslounge.bean;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.transaction.TransactionScoped;

@TransactionScoped
public class TestTransactionalScopeBean implements TestTransactionalScope {

	private static final long serialVersionUID = 1L;

	private long value;

	@PostConstruct
	private void init() {
		value = System.currentTimeMillis();
		System.out.println("TestTransactionalScopeBean initialized. Value is "
				+ value);
	}

	@PreDestroy
	private void destroy() {
		System.out.println("TestTransactionalScopeBean destroyed. Value is "
				+ value);
	}

	@Override
	public long getValue() {
		return value;
	}

}
